Page MenuHomePhabricator

API: Unable to view a log entry specified by its ID
Closed, ResolvedPublic

Description

Using api.php?action=query&list=abuselog, currently we don't have an option for filtering entries by using their log ID which would instead be useful.

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:16 AM
bzimport added a project: AbuseFilter.
bzimport set Reference to bz34731.
bzimport added a subscriber: Unknown Object (MLST).
liangent created this task.Feb 26 2012, 3:22 PM
Amire80 moved this task from Backlog to Logging on the AbuseFilter board.May 8 2016, 9:02 AM
Daimona updated the task description. (Show Details)Apr 8 2018, 4:32 PM
Daimona removed a subscriber: wikibugs-l-list.

Change 445771 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Add the log ID as API param for query abuselog

https://gerrit.wikimedia.org/r/445771

Daimona claimed this task.Jul 14 2018, 12:29 PM

Change 445771 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Add the log ID as API param for query abuselog

https://gerrit.wikimedia.org/r/445771

Daimona closed this task as Resolved.Jul 15 2018, 3:27 PM